Subject: [Midnightbsd-kernel] Roadmap

From: Lucas Holt <[email-masked]>
Date: Thu, 31 Dec 2009 16:58:59 -0500

Sorry for the cross post, but I think this is important.

I've created a preliminary roadmap for MidnightBSD development.  I've been promising a very detailed roadmap for years.  Like many things, real life got in the way.  This roadmap is not set in stone yet; I'd like to hear others thoughts on it.  One part has been omitted that is rather important, and I will add the kernel structure changes at a later date.  I'm currently evaluating some dramatic ideas with regard to the kernel and I don't yet have a clear direction on that.  

http://www.midnightbsd.org/wiki/roadmap

When I started the project, the whole point was to modify FreeBSD for desktop use and add GNUstep + a GUI desktop.  Later, I chose Etoile as that GUI.  However, recent events with regard to the GNU community has me concerned about choosing this direction.  As such, I've put off making a decision which has caused some problems within the project.  It's quite clear there is a sub movement within the GNU community to push away all non GNU projects and operating systems.  Most of the other BSD projects have announced plans to change system compilers, move as much of the base system to BSD licensed code, etc.  Since we're a desktop system, that is very difficult.  Quite a bit of the good software out there is under a GPL or LGPL license.  I prefer the BSD license, but I don't have any particular distaste for GPL'd software like some folks do.  

I see a bumpy road ahead for the open source community.  Many projects are moving in different directions with key components like compilers.  One nice thing was that many systems have used GCC over the years.  It makes it that much easier to port and maintain software on different systems.  With FreeBSD and DragonFly looking at llvm, OpenBSD moving toward PCC, and even MirBSD contemplating a switch, we may find ourselves choosing sides in a lot of little turf wars.

Sometimes, I've kept many ideas to myself in hopes of keeping everyone happy.  It hasn't worked too well in the end.  For long term development, it's obvious the most important version of MidnightBSD will be the amd64 releases.  We're moving to a 64bit world, and new desktops are shipping with 3-6GB of RAM.  

Lucas Holt
[email-masked]
________________________________________________________
MidnightBSD.org (Free OS)
JustJournal.com (Free blogging)